//
//  YHShareCashOutModel.swift
//  galaxy
//
//  Created by EDY on 2024/7/24.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit
import SmartCodable

class YHShareCashOutModel: SmartCodable {
    var mobile: String = ""
    var amount: String = ""
    var time: String = ""
    required init() {
    }
}

class YHShareOverviewModel: SmartCodable {
    var register_count: Int = 0
    var evaluated_count: Int = 0
    var signed_up_count: Int = 0
    var cycle: YHShareOverviewCycleModel = YHShareOverviewCycleModel()
    required init() {
    }
}

class YHShareOverviewCycleModel: SmartCodable {
    var begin_date: String = ""
    var end_date: String = ""
    required init() {
    }
}

class YHShareRecordModel: SmartCodable {
    var page_count: Int = 0
    var list: [YHShareRecordListModel] = []
    required init() {
    }
}

class YHShareRecordListModel: SmartCodable {
    var mobile: String = ""
    var register_time: String = ""
    var is_registered: Bool = false
    var is_evaluated: Bool = false
    var is_signed_up: Bool = false
    required init() {
    }
}
